/*
 * This is a manifest file that'll be compiled into application.css, which will include all the files
 * listed below.
 *
 * Any CSS and SCSS file within this directory, lib/assets/stylesheets, vendor/assets/stylesheets,
 * or vendor/assets/stylesheets of plugins, if any, can be referenced here using a relative path.
 *
 * You're free to add application-wide styles to this file and they'll appear at the bottom of the
 * compiled file so the styles you add here take precedence over styles defined in any styles
 * defined in the other CSS/SCSS files in this directory. It is generally better to create a new
 * file per style scope.
 *= require_epic
 *= require_tree .
 *= require_self
 *= require jquery-ui
 */
 /* Styles go here */

 body {
   margin-top: 50px;
   font-family: sans-serif;
 }

 table, th, td {
   border: 1px solid black;
 }
 th, td {
   padding: 10px;
 }

.published {
  background-color: #BDFFBD
}

.unpublished {
  background-color: #FFFFBD
}

.delete-modal .modal-header {
   color: #D9534F;
 }

.edit-btn {
  margin: 0px;
  padding-top: 0px;
  padding-bottom: 0px;
}
.body-frame {
  margin: 0px;
}

.title {
  padding-right:50px;
}

.view-checkbox {
  display:inline;
}

.back {
  margin:20px;
}

.back-to-top {
    position: fixed;
    bottom: -5%;
    right: 1%;
}


.saved-message {
  color:green;
  font-size:90%;
  font-weight:bold;
  margin-left:10px;
  display:none;
}

.remove-filter {
  color:red;
}

.add-filter {
  color:green;
}

#toggle {
  margin:0px;
}

#filters {
  margin-left:20px;
  color:#999;
}

.muted {
  color:#999;
}

.tree-button {
  margin-left:5px;
  margin-right:5px;
}

.preview {
}

.document-shell {
  margin-top:3px;
}

.accordion-panel {
  cursor:pointer;
}

.accordion-panel:hover {
  background-color:#fff;
}

.panel-title {
  display:inline;
}
/* big editor modal*/
.modal-xl {
  width: 100%;
  position: fixed;
}


/* Sticky footer styles
-------------------------------------------------- */

html,
body {
  height: 100%;
  /* The html and body elements cannot have any padding or margin. */
}

/* Wrapper for page content to push down footer */
#wrap {
  min-height: 100%;
  height: auto !important;
  height: 100%;
  /* Negative indent footer by it's height */
  margin: 0 auto -60px;
}

/* Set the fixed height of the footer here */
#push,
#footer {
  height: 60px;
}
#footer {
  text-align:center;
  background-color: #f5f5f5;
  padding:5px;
}

/* Lastly, apply responsive CSS fixes as necessary */
@media (max-width: 767px) {
  #footer {
    margin-left: -20px;
    margin-right: -20px;
    padding-left: 20px;
    padding-right: 20px;
  }
}
